;; mapper.lisp

(defun map-common-elements
  (target-elements  ;; a list of target elements
   source-elements  ;; a list of source elements
   &optional maps   ;; the current maps
   )
  (if (null target-elements) 
      ;; then
      maps
    ;; else
    (let ((map-list (element_list2map_list (first target-elements)
					   (source-elements))))
      (map-common-elements 
       (rest target-elements)
       ;; returns new list of source elements
       (second map-list)
       (first map-list)))))
      
(defun element_list2map_list
  (target-element
   source-elements)
  "returns a list. First in the list is the map, if any (elst nil) and the second in the lsit is the new list of source elements, with the mapped thing, if any, removed."
  (let ((mapped-element (first (member target-element source-elements
			:test (lambda (x y)
				(eql (shape-of x)
				     (shape-of y)))))))
    (list
     ;; the map, if any
     (list target-element 'maps-to mapped-element)
     ;; new list of source elements
     (remove mapped-element source-elements))))

(defun shape-of (object)
  (role-filler object 'looks-like))
