;; memory file for the visual abstraction mapping program
;; jim@jimdavies.org, yaner@cc.gatech.edu
;; April 2003


(setq 
 memory
 '(

   ;; TABLE EXAMPLE

   ;; TARGET S-IMAGE
   (t-table-simage)

   (butterdish)
   (t-table-simage contains-object t-butterdish)
   (butterdish     looks-like      rectangle)
   (butterdish     has-size        small)

   (t-glass)
   (t-table-simage contains-object t-glass)
   (t-glass        looks-like      circle)
   (t-glass        has-size        small)

   (t-fork-aggregate)
   (t-table-simage   contains-object t-fork-aggregate)
   (t-fork-aggregate looks-like      aggregate)
   
   (t-tines)
   (t-table-simage contains-object t-tines)
   (t-tines        looks-like      square)
   (t-tines        component-of    t-fork-aggregate)
   (t-tines        has-size        small)

   (t-fork-shaft)
   (t-table-simage contains-object t-fork-shaft)
   (t-fork-shaft   looks-like      line)
   (t-fork-shaft   component-of    t-fork-aggregate)
   (t-fork-shaft   has-size        small)


   (t-spoon-aggregate)
   (t-table-simage contains-object t-spoon-aggregate)
   (t-spoon        looks-like      aggregate)

   (t-spoon-bowl)
   (t-table-simage contains-object t-spoon-bowl)
   (t-spoon-bowl   looks-like      circle)
   (t-spoon-bowl   component-of    t-spoon-aggregate)
   (t-spoon-bowl   has-size        small)

   (t-spoon-shaft)
   (t-table-simage contains-object t-spoon-shaft)
   (t-spoon-shaft  looks-like      line)
   (t-spoon-shaft  component-of    t-spoon-aggregate)
   (t-spoon-shaft  has-size        small)

   (t-knife)
   (t-table-simage contains-object t-knife)
   (t-knife        looks-like      line)
   (t-knife        has-size        small)

   (t-plate)
   (t-table-simage contains-object t-plate)
   (t-plate        looks-like      ellipse)
   (t-plate        has-size        medium)

   (t-napkin)
   (t-table-simage contains-object t-napkin)
   (t-napkin       looks-like      right-triangle)
   (t-napkin       has-size        small)

   ;; 8 square    t-tines
   ;; 7 rectangle t-napkin
   ;; 7 rectangle t-butterdish
   ;; 5 circle    t-plate
   ;; 5 circle    t-glass
   ;; 5 circle    t-spoon-bowl
   ;; 5 line      t-knife
   ;; 5 line      t-spoon-shaft
   ;; 5 line      t-fork-shaft
   ;; 0 aggregate t-fork
   ;; 0 aggregate t-spoon

   ;; SOURCE S-IMAGE

   ;; 8 square               s-tines
   ;; 7 equilateral-triangle s-napkin
   ;; 7 rectangle            s-butterdish
   ;; 5 circle               s-glass
   ;; 5 line                 s-knife
   ;; 5 line                 s-spoon-shaft
   ;; 5 circle               s-spoon-bowl
   ;; 5 line                 s-fork-shaft
   ;; 4 ellipse              s-plate
   ;; 0 aggregate            s-fork
   ;; 0 aggregate            s-spoon

   (s-table-simage)

   (s-butterdish)
   (s-table-simage contains-object s-butterdish)
   (s-butterdish   looks-like      rectangle)
   (s-butterdish   has-size        small)


   (s-glass)
   (s-table-simage contains-object s-glass)
   (s-glass        looks-like      circle)
   (s-glass        has-size        small)

   (s-fork-aggregate)
   (s-table-simage   contains-object s-fork-aggregate)
   (s-fork-aggregate looks-like      aggregate)
   
   (s-tines)
   (s-table-simage contains-object s-tines)
   (s-tines        looks-like      square)
   (s-tines        component-of    s-fork-aggregate)
   (s-tines        has-size        small)

   (s-fork-shaft)
   (s-table-simage contains-object s-fork-shaft)
   (s-fork-shaft   looks-like      line)
   (s-fork-shaft   component-of    s-fork-aggregate)
   (s-fork-shaft   has-size        small)


   (s-spoon-aggregate)
   (s-table-simage contains-object s-spoon-aggregate)
   (s-spoon        looks-like      aggregate)

   (s-spoon-bowl)
   (s-table-simage contains-object s-spoon-bowl)
   (s-spoon-bowl   looks-like      circle)
   (s-spoon-bowl   component-of    s-spoon-aggregate)
   (s-spoon-bowl   has-size        small)

   (s-knife)
   (s-table-simage contains-object s-knife)
   (s-knife        looks-like      line)
   (s-knife        has-size        small)

   (s-plate)
   (s-table-simage contains-object s-plate)
   (s-plate        looks-like      circle)
   (s-plate        has-size        medium)

   (s-napkin)
   (s-table-simage contains-object s-napkin)
   (s-napkin       looks-like      rectangle)
   (s-napkin       has-size        small)

   ;; PARKING LOT EXAMPLE

   ;; TARGET S-IMAGE

   (t-lot-simage)

   (t-puddle)
   (t-lot-simage contains-object t-puddle)
   (t-puddle     looks-like      closed-spline)
   (t-puddle     has-size        large)

   (t-truck-aggregate)
   (t-lot-simage      contains-object t-truck-aggregate)
   (t-truck-aggregate looks-like      aggregate)

   (t-rig)
   (t-lot-simage contains-object t-rig)
   (t-rig        looks-like      square)
   (t-rig        component-of    t-truck-aggregate) 
   (t-rig        has-size        small)

   (t-trailer)
   (t-lot-simage contains-object t-trailer)
   (t-trailer    looks-like      retangle)
   (t-trailer    component-of    t-truck-aggregate)
   (t-trailer    has-size        medium)

   (t-dumpster)
   (t-lot-simage contains-object t-dumpster)
   (t-dumpster   looks-like      rectangle)
   (t-dumpster   has-size        small)

   (t-cans)
   (t-lot-simage contains-object t-cans)
   (t-cans       looks-like      set)

   (t-can1)
   (t-lot-simage contains-object t-can1)
   (t-can1       in-set          t-cans)
   (t-can1       has-size        small)

   (t-can2)
   (t-lot-simage contains-object t-can2)
   (t-can2       looks-like      circle)
   (t-can2       in-set          t-cans)
   (t-can2       has-size        small)

   (t-can3)
   (t-lot-simage contains-object t-can3)
   (t-can3       looks-like      circle)
   (t-can3       in-set          t-cans)
   (t-can3       has-size        small)

   (t-can4)
   (t-lot-simage contains-object t-can4)
   (t-can4       looks-like      circle)
   (t-can4       in-set          t-cans)
   (t-can4       has-size        small)

   (t-can5)
   (t-lot-simage contains-object t-can5)
   (t-can5       looks-like      circle)
   (t-can5       in-set          t-cans)
   (t-can5       has-size        small)

   ;; 8 square       t-trailer
   ;; 7 rectangle    t-dumpster
   ;; 7 rectangle    t-rig
   ;; 3 closed-curve t-puddle
   ;; 5 circle       t-can1
   ;; 5 circle       t-can2
   ;; 5 circle       t-can3
   ;; 5 circle       t-can4
   ;; 5 circle       t-can5
   ;; 0 aggregate    t-truck-aggregate        
   ;; 0 set          t-cans

   ;; SOURCE S-IMAGE

   ;; 8 square       s-trailer
   ;; 7 rectangle    s-dumpster
   ;; 7 rectangle    s-rig
   ;; 3 closed-curve s-puddle
   ;; 5 circle       s-can1
   ;; 5 circle       s-can2
   ;; 5 circle       s-can3
   ;; 0 aggregate    s-truck-aggregate        
   ;; 0 set          s-cans

   (s-lot-simage)

   (s-puddle)
   (s-lot-simage contains-object s-puddle)
   (s-puddle     looks-like      closed-spline)
   (s-puddle     has-size        small)

   (s-truck-aggregate)
   (s-lot-simage      contains-object s-truck-aggregate)
   (s-truck-aggregate looks-like      aggregate)

   (s-rig)
   (s-lot-simage contains-object s-rig)
   (s-rig        looks-like      square)
   (s-rig        component-of    s-truck-aggregate) 
   (s-rig        has-size        small)

   (s-trailer)
   (s-lot-simage contains-object s-trailer)
   (s-trailer    looks-like      retangle)
   (s-trailer    component-of    s-truck-aggregate)
   (s-trailer    has-size        medium)

   (s-dumpster)
   (s-lot-simage contains-object s-dumpster)
   (s-dumpster   looks-like      rectangle)
   (s-dumpster   has-size        small)

   (s-cans)
   (s-lot-simage contains-object s-cans)
   (s-cans       looks-like      set)

   (s-can1)
   (s-lot-simage contains-object s-can1)
   (s-can1       in-set          s-cans)
   (s-can1       has-size        small)

   (s-can2)
   (s-lot-simage contains-object s-can2)
   (s-can2       looks-like      circle)
   (s-can2       in-set          s-cans)
   (s-can2       has-size        small)

   (s-can3)
   (s-lot-simage contains-object s-can3)
   (s-can3       looks-like      circle)
   (s-can3       in-set          s-cans)
   (s-can3       has-size        small)


   ;; FACE EXAMPLE

   ;; TARGET FACE

   (t-face-simage)

   (t-eye)
   (t-face-simage contains-object t-eye)
   (t-eye         looks-like circle)
   (t-eye         has-size        small)

   (t-head)
   (t-face-simage contains-object t-head)
   (t-head        looks-like      ellipse)
   (t-head        has-size        small)

   (t-nose)
   (t-face-simage contains-object t-nose)
   (t-nose        looks-like      right-triangle)
   (t-nose        has-size        small)

   (t-mouth)
   (t-face-simage contains-object t-mouth)
   (t-mouth       looks-like      line)
   (t-mouth       has-size        small)

   ;; 6 right-triangle t-nose
   ;; 5 circle         t-eye
   ;; 5 line           t-mouth
   ;; 4 ellipse        t-head

   ;; SOURCE FACE

   ;; 4 ellipse        s-head
   ;; 4 segmented-line s-mouth
   ;; 4 polygon        s-nose
   ;; 4 ellipse        s-eye

   (s-face-simage)

   (s-eye)
   (s-face-simage contains-object s-eye)
   (s-eye         looks-like      ellipse)
   (s-eye         has-size        small)

   (s-head)
   (s-face-simage contains-object s-head)
   (s-head        looks-like      ellipse)
   (s-head        has-size        small)

   (s-nose)
   (s-face-simage contains-object s-nose)
   (s-nose        looks-like      quadrilateral)
   (s-nose        has-size        small)

   (s-mouth)
   (s-face-simage contains-object s-mouth)
   (s-mouth       looks-like      segmented-line)
   (s-mouth       has-size        small)


